| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
AliDB

## Classes
struct | unsp__CreateAliDBRequest
| Create ALI DB request. More...
struct | unsp__CreateAliDBResult
| Create ALI DB result. More...
struct | unsp__ModifyAliDBRequest
| Modify ALI DB request. More...
struct | unsp__ModifyAliDBResult
| Modify ALI DB result. More...
struct | unsp__DeleteAliDBRequest
| Delete ALI DB request. More...
struct | unsp__DeleteAliDBResult
| Delete ALI DB result. More...
struct | unsp__AliDBDataEntry
| ALI DB data entry that holds the actual ALI DB data. More...
struct | unsp__GetAliDBRequest
| Get ALI DB request. More...
struct | unsp__GetAliDBResult
| Get ALI DB result. More...
struct | unsp__QueryAliDBsRequest
| Query ALI DB request. More...
struct | unsp__AliDBList
| List of ALI DB entries. More...
struct | unsp__AliDBTrunkList
| List of Trunk entries. More...
struct | unsp__QueryAliDBsResult
| Query ALI DB result. More...
struct | unsp__CheckAliDBStatusRequest
| Check ALI DB Operational Status request. More...
struct | unsp__CheckAliDBStatusResult
| Check ALI DB Operational Status result. More...

## Enumerations
enum | unsp__AliDBQueryFormat { AliDBQueryFormatUndefined = -1, AliDBQueryFormatPreXml = 0, AliDBQueryFormatAqsXml = 1 }
| The type of ALI DB Query Format. More...
enum | unsp__AliDBStatus { AliDBStatusNormal = 0, AliDBStatusCommunicationLost = 1, AliDBStatusInaccessible = 2, AliDBStatusPending = 3 }
| The type of ALI DB Operational Status. More...

## Functions
int | unsp__CreateAliDB (struct unsp__CreateAliDBRequest CreateAliDBRequest, struct unsp__CreateAliDBResult *CreateAliDBResult)
| Creates an ALI DB. More...
int | unsp__ModifyAliDB (struct unsp__ModifyAliDBRequest ModifyAliDBRequest, struct unsp__ModifyAliDBResult *ModifyAliDBResult)
| Modifies an ALI DB. More...
int | unsp__DeleteAliDB (struct unsp__DeleteAliDBRequest DeleteAliDBRequest, struct unsp__DeleteAliDBResult *DeleteAliDBResult)
| Deletes an ALI DB. More...
int | unsp__GetAliDB (struct unsp__GetAliDBRequest GetAliDBRequest, struct unsp__GetAliDBResult *GetAliDBResult)
| Gets an ALI DB. More...
int | unsp__QueryAliDBs (struct unsp__QueryAliDBsRequest QueryAliDBsRequest, struct unsp__QueryAliDBsResult *QueryAliDBsResult)
| Queries a list of ALI DBs. More...
int | unsp__CheckAliDBStatus (struct unsp__CheckAliDBStatusRequest CheckAliDBStatusRequest, struct unsp__CheckAliDBStatusResult *CheckAliDBStatusResult)
| Checks an ALI DB Operational Status. More...

## Detailed Description

## Enumeration Type Documentation

## ◆ unsp__AliDBQueryFormat

enum unsp__AliDBQueryFormat

The type of ALI DB Query Format.

Enumerator
AliDBQueryFormatUndefined | Undefined protocol.
AliDBQueryFormatPreXml | Pre-XML (default)
AliDBQueryFormatAqsXml | AQS-XML.

## ◆ unsp__AliDBStatus

enum unsp__AliDBStatus

The type of ALI DB Operational Status.

Enumerator
AliDBStatusNormal | Normal.
AliDBStatusCommunicationLost | Communication Lost.
AliDBStatusInaccessible | Inaccessible.
AliDBStatusPending | Pending.

## Function Documentation

## ◆ unsp__CheckAliDBStatus()

unsp__CheckAliDBStatus | ( | struct unsp__CheckAliDBStatusRequest | CheckAliDBStatusRequest,
|  | struct unsp__CheckAliDBStatusResult * | CheckAliDBStatusResult
| ) |  |

Checks an ALI DB Operational Status.

Parameters

  CheckAliDBStatusRequest | API request
  CheckAliDBStatusResult | API result

## ◆ unsp__CreateAliDB()

unsp__CreateAliDB | ( | struct unsp__CreateAliDBRequest | CreateAliDBRequest,
|  | struct unsp__CreateAliDBResult * | CreateAliDBResult
| ) |  |

Creates an ALI DB.

Allows the provisioning of ALI DBs. The maximum number of ALI DBs allowed in the system is 6.

Parameters

  CreateAliDBRequest | API request
  CreateAliDBResult | API result MP2 command: CALIDB [Attributes]

## ◆ unsp__DeleteAliDB()

unsp__DeleteAliDB | ( | struct unsp__DeleteAliDBRequest | DeleteAliDBRequest,
|  | struct unsp__DeleteAliDBResult * | DeleteAliDBResult
| ) |  |

Deletes an ALI DB.

Parameters

  DeleteAliDBRequest | API request
  DeleteAliDBResult | API result MP2 command: DALIDB [Attributes]

## ◆ unsp__GetAliDB()

unsp__GetAliDB | ( | struct unsp__GetAliDBRequest | GetAliDBRequest,
|  | struct unsp__GetAliDBResult * | GetAliDBResult
| ) |  |

Gets an ALI DB.

Parameters

  GetAliDBRequest | API request
  GetAliDBResult | API result

## ◆ unsp__ModifyAliDB()

unsp__ModifyAliDB | ( | struct unsp__ModifyAliDBRequest | ModifyAliDBRequest,
|  | struct unsp__ModifyAliDBResult * | ModifyAliDBResult
| ) |  |

Modifies an ALI DB.

All fields are modifiable apart from ALI DB Name which is used to identify the entry to be modified

Parameters

  ModifyAliDBRequest | API request
  ModifyAliDBResult | API result MP2 command: MALIDB [Attributes]

## ◆ unsp__QueryAliDBs()

unsp__QueryAliDBs | ( | struct unsp__QueryAliDBsRequest | QueryAliDBsRequest,
|  | struct unsp__QueryAliDBsResult * | QueryAliDBsResult
| ) |  |

Queries a list of ALI DBs.

Parameters

  QueryAliDBsRequest | API request
  QueryAliDBsResult | API result